CUDA Runtime API (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 5.17. cudaResourceViewDesc Struct Reference

## [Data types used by CUDA Runtime]

CUDA resource view descriptor

### Public Variables

size_t depth
unsigned int firstLayer
unsigned int firstMipmapLevel
enumcudaResourceViewFormat format
size_t height
unsigned int lastLayer
unsigned int lastMipmapLevel
size_t width

### Variables

size_t cudaResourceViewDesc::depth [inherited]

  Depth of the resource view

unsigned int cudaResourceViewDesc::firstLayer [inherited]

  First layer index

unsigned int cudaResourceViewDesc::firstMipmapLevel [inherited]

  First defined mipmap level

enumcudaResourceViewFormat cudaResourceViewDesc::format [inherited]

  Resource view format

size_t cudaResourceViewDesc::height [inherited]

  Height of the resource view

unsigned int cudaResourceViewDesc::lastLayer [inherited]

  Last layer index

unsigned int cudaResourceViewDesc::lastMipmapLevel [inherited]

  Last defined mipmap level

size_t cudaResourceViewDesc::width [inherited]

  Width of the resource view